Subject: RE: Your Estimate 13196 / 1 L'Horizon
From: Leeana Taft <[email-masked]>
To: Rachel Baugh <[email-masked]>
Date: Wed, 7 Jan 2026 17:21:59 +0000

Its hospitality so, yes, I would say it has to be FR.  The Jab one might come as FR version or be able to be treated.  They may well have FR similar fabric.

Kind regards,

From: Rachel Baugh <[email-masked]>
Sent: 07 January 2026 16:05
To: Leeana Taft <[email-masked]>
Subject: Re: Your Estimate 13196 / 1 L'Horizon

L'horizon have specified a fabric from JAB, they don't want a lining as it's a double faced curtain....but I don't think it's FR. will that be an issue?

https://www.jab.de/de/en/p/1-6243-685

Kind Regards

[signature_3870508488]

Interior Design Advisor

[email-masked]<mailto:[email-masked]>

[signature_3704223446]<http://www.cpinteriors.je/>

From: Leeana Taft <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, 7 January 2026 at 15:57
To: Rachel Baugh <[email-masked]<mailto:[email-masked]>>
Subject: FW: Your Estimate 13196 / 1 L'Horizon
Attached is PC quote - estimate based on time

We obviously have to collect them and post them back, plus cost of FR lining itself.  I used ed Bell Solprufe FR lining before.

Let me know if you want me to look at it with you.

Kind regards,

From: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Sent: 07 January 2026 14:51
To: Leeana Taft <[email-masked]<mailto:[email-masked]>>
Subject: Your Estimate 13196 / 1

Please find your estimate attached.

Kind Regards

Sally Waddilove

Premierchoice Ltd.
3 Algores Way
Wisbech
Cambs
PE13 2TQ
01945 589558
[email-masked]<mailto:[email-masked]>